Name:           cpuid
Version:        20120601
Release:        1%{?dist}
Summary:        Dumps information about the CPU(s)

Group:          System Environment/Base
License:        MIT
URL:            http://www.etallen.com/cpuid.html
Source0:        http://www.etallen.com/%{name}/%{name}-%{version}.src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch:  %{ix86} x86_64

%description
cpuid dumps detailed information about x86 CPU(s) gathered from the CPUID
instruction, and also determines the exact model of CPU(s). It supports Intel,
AMD, and VIA CPUs, as well as older Transmeta, Cyrix, UMC, NexGen, and Rise
CPUs. 

%prep
%setup -q


%build
make %{?_smp_mflags} CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -DVERSION=%{version}"


%install
rm -rf %{buildroot}
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dp -m 0644 %{name}.man.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog FUTURE LICENSE
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}


%changelog
* Sun Jul 15 2012 Fabian Affolter <mail@fabian-affolter.ch> - 20120601-1
- Updated to new upstream version 20120601

* Sun Feb 26 2012 Fabian Affolter <mail@fabian-affolter.ch> - 20120225-1
- Updated to new upstream version 20120225

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20110305-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Mar 06 2011 Fabian Affolter <mail@fabian-affolter.ch> - 20110305-1
- Updated to new upstream version 20110305

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20101002-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 06 2010 Fabian Affolter <mail@fabian-affolter.ch> - 20101010-1
- Updated to new upstream version 20101002

* Thu Sep 02 2010 Fabian Affolter <mail@fabian-affolter.ch> - 20100901-1
- Updated to new upstream version 20100901

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20060917-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20060917-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 09 2008 Fabian Affolter <mail@fabian-affolter.ch> - 20060917-4
- Changed %%build section acc. #469590 comment #5

* Sat Nov 08 2008 Fabian Affolter <mail@fabian-affolter.ch> - 20060917-3
- Changed %%build section and License acc. #469590 comment #3
- fixed %%doc in changelog

* Tue Nov 04 2008 Fabian Affolter <mail@fabian-affolter.ch> - 20060917-2
- Switch to ExclusiveArch
- remove %%doc from man page and general changes to the man page installation

* Sun Nov 02 2008 Fabian Affolter <mail@fabian-affolter.ch> - 20060917-1
- Initial package for Fedora
